Tracking | Post Tracking Update

Purpose

The Cargobase tracking update end-point is available only to Provider companies for the purpose of posting tracking updates to Cargobase. This end-point allows a provider to post tracking events onto a shipment. At this moment, all events are posted 'as-is'.

Access

A provider can only post tracking updates for shipments associated with their account. POSTS for other shipments will be rejected.

An access token is required to POST to this end-point. Contact [email protected] to obtain your token.

Request URI

POST https://pluto.cargobase.com/api/1/tracking/generic
Content-Type: application/json
Authorization: Token 'your_token_here'

Sample Request Body :

{
  "tracking_number": "TG166222",
  "shipment_id": "S22316102",
  "tracking_type": "mawb",
  "mode_of_transport": "air_freight",
  "tracking_update_text": "Your parcel has been delivered",
  "tracking_status_tag": "DELIVERED",
  "event_time": "2023-07-01T14:59:56.711",
  "event_time_with_timezone": "2032-04-23T10:20:30.400+02:30",
  "expected_departure_time": "2023-07-01T14:59:57.711",
  "expected_arrival_time": "2023-07-01T14:59:58.711",
  "actual_departure_time": "2023-07-01T14:59:59.711",
  "actual_arrival_time": "2023-08-19T14:59:00.711",
  "additional_info": {
    "sample_additional_info_key": "asdasd"
  },
  "bill_of_lading": {
    "bill_of_lading_number": "COSU6349613240",
    "carrier_no": "COSU",
    "container_no": "BMOU1589176"
  },
  "flight_information": {
    "flight_number": "MH197",
    "airline": "Malaysia Airlines"
  },
  "location": {
    "airport_name": "Incheon International Airport",
    "country": "Singapore",
    "country_code": "US",
    "state": "Arkansas",
    "icao_code": "LTAF",
    "unlocode": "SGSIN",
    "iata_code": "AA",
    "coordinates": {
      "lat": -34.397,
      "lng": 150.644
    },
    "location_text": "free-text"
  },
  "document_link": "https://getsamplefiles.com/filedownloadhere",
  "milestone_details": {
    "event_type": "booked_for_transport",
    "location_type": "other",
  },
  "event_weight": 123,
  "event_weight_unit": "kg",
  "event_piece": 2,
  "weight": 456,
  "piece": 3
}
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!